#pragma once
#include <enginend/engine.h>

class world :public enginend::scene{
	enginend::group *players;
	enginend::group *entities;
	enginend::group *buildings;
	// server side
	world() {
		players=new enginend::group({});
		entities=new enginend::group({});
		nodes.push_back(players);
		
	};
	void tick() override;
	~world();

	Model terrain;
	std::vector<Model*> buildingmodels;
	std::vector<Model*> entitymodels;
	std::vector<Model*> models; 
	// client side
	void boot() override;
	void draw() override;
	void exit() override;
};